import argparse
import imaplib
import email
import os
import json

if __name__ == "__main__":
    with open('config.json', 'r') as f:
        config = json.load(f)
    
        for key, item in enumerate(config['accounts']):
            print(key, item)
            # IMAP-Verbindung herstellen
            mail = imaplib.IMAP4_SSL(item['server'], item['port'])
            mail.login(item['user'], item['password'])

            status, folders = mail.list()
            for folder in folders:
                print(folder.decode())

            # Verbindung schließen
            mail.logout()
    
